.register .general-content {
  padding: 3.4rem 0 3rem;
}

.register .username {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.register .username span {
  font-size: 2.8rem;
  font-weight: 700;
  letter-spacing: 0.1rem;
  color: #fff100;
}

.register .username span:nth-of-type(1) {
  text-align: right;
}

.register .username span:nth-of-type(2) {
  text-align: left;
}

.register .msg {
  position: relative;
}

.register .msg::after {
  content: "";
  position: absolute;
  left: calc(50% - 0rem);
  bottom: -1.5rem;
  width: calc(92% - 0rem);
  height: 1px;
  background-color: #fff;
  transform: translate(-50%);
}

.register .msg span {
  width: 100%;
  text-align: center;
  font-size: 2.1rem;
  color: #FFF;
  font-weight: 400;
  letter-spacing: 0.26rem;
  margin: 0.7rem 0;
  padding-left: 1.1rem;
}

.register form {
  margin-top: 3.95rem;
  padding: 0 15%;
}

.register .input_wrap {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 53.5rem;
  margin-left: 5.5rem;
}

.register .input_wrap .status {
  flex: 1;
  visibility: hidden;
  background-size: contain;
  width: 4rem;
  height: 4rem;
}

.register .input_wrap .status.correct {
  background: url(/images/register_correct.png);
  background-repeat: no-repeat;
  background-position: top center;
}

.register .input_wrap .status.mistake {
  background: url(/images/register_mistake.png);
  background-repeat: no-repeat;
  background-position: top center;
}

.register .input_wrap+.input_wrap {
  margin-top: 2.03rem;
}

.register .input_wrap span {
  width: auto;
  font-size: 2.28rem;
  color: #fff100;
  font-weight: 700;
  margin-right: 1.7rem;
}

.register .input_wrap input {
  width: 81.5%;
  padding: 0.8rem 1.5rem 0.8rem 1.5rem;
  border: 1px solid #ffffff;
  background-color: transparent;
  color: #FFF;
  font-size: 2.16rem;
  font-weight: 700;
  letter-spacing: 0.5rem;
  text-align: center;
}

.register .input_wrap input:focus {
  outline: none;
}

.register .input_wrap input:focus::placeholder {
  color: transparent;
}

.register .input_wrap input::placeholder {
  color: #FFF;
  font-size: 2.16rem;
  font-weight: 700;
  letter-spacing: 0.5rem;
  text-align: center;
}

#register-form input[type="text"] {
  text-transform: uppercase;
}

/* 針對行動裝置優化：預設跳出英文鍵盤而非注音鍵盤 */
#register-form input[type="text"]::placeholder {
  text-transform: none;
}

.register .agree {
  cursor: pointer;
  font-size: 1.8rem;
  font-weight: 300;
  margin-top: 1rem;
  letter-spacing: 0.36rem;
  text-indent: 0.36rem;
}

.register .agree .text {
  color: #FFF;
  display: flex;
  align-items: center;
  margin-top: -0.2rem;
}

.register .agree a {
  color: #FFF;
  display: flex;

}

.register .agree a span {
  position: relative;
  color: #fff100;
}

.register .agree a span::after {
  position: absolute;
  content: ' ';
  display: block;
  bottom: -0.5rem;
  width: 100%;
  height: 1px;
  background-color: #fff100;
}

.register label {
  display: flex;
  align-items: center;
  justify-content: center;
}

.register input[type="checkbox"] {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
}

.register .agree .agree-checkbox {
  width: 2rem;
  height: 2rem;
  border-radius: 2px;
  margin-right: 0.8rem;
  margin-left: 4.1rem;
  position: relative;
  background-color: #FFF;
  flex-shrink: 0;
}

.register .agree .agree-checkbox:checked {
  background-color: #d90514;
}

.register input[type="checkbox"]:checked::after {
  content: '';
  position: absolute;
  left: 0.9rem;
  top: -0.7rem;
  width: 0.9rem;
  height: 1.8rem;
  border: solid #fff100;
  border-width: 0 2.5px 2.5px 0;
  transform: rotate(45deg);
}

.register .btns {
  margin-top: 2.4rem;
}

.register .btns>a {
  width: 10.9rem;
  font-size: 2.8rem;
  line-height: 1.1;
  margin-left: 2.8rem;
  padding-left: 0.5rem;
  letter-spacing: 0.5rem;
}

@media (max-width: 1024px) {
  .register .general-content {
    margin-top: 0;
  }

  .register .msg {
    position: relative;
  }

  .register .msg::after {
    content: "";
    position: absolute;
    left: calc(50% - 0rem);
    bottom: -1px;
    width: calc(80% - -4rem);
    height: 1px;
    background-color: #fff;
    transform: translate(-50%);
  }

  .register .username span {
    font-size: 3.61rem;
    font-weight: 500;
    letter-spacing: 0.2rem;
    text-indent: 0.2rem;
    color: #FFF;
  }

  .register .username span:nth-of-type(1) {
    text-align: center;
  }

  .register .username span:nth-of-type(2) {
    display: none;
  }

  .register .msg span {
    font-size: 1.63rem;
    color: #ffff00;
    letter-spacing: 0.26rem;
    margin: 1.5rem 0;
    text-indent: 0.26rem;
  }

  .register form {
    margin-top: 4rem;
    padding: 0 19%;
  }

  .register .input_wrap+.input_wrap {
    margin-top: 3rem;
  }

  .register .input_wrap span {
    font-size: 2.8rem;
    color: #FFF;
    font-weight: 400;
    margin-right: 1.7rem;
  }

  .register .input_wrap input {
    font-size: 2.16rem;
    letter-spacing: 0.4rem;
    text-indent: 0.4rem;
    font-weight: 400;
  }

  .register .input_wrap input::placeholder {
    color: #ffffffae;
    font-size: 2.16rem;
    font-weight: 400;
    letter-spacing: 0.4rem;
    text-indent: 0.4rem;
    text-align: center;
  }

  .register .agree {
    font-size: 2rem;
    margin-top: 4rem;
    letter-spacing: 0.35rem;
  }

  .register .agree .agree-checkbox {
    width: 2.1rem;
    height: 2.1rem;
    margin-right: 0.8rem;
    margin-left: 0.5rem;
  }

  .register input[type="checkbox"]:checked::after {
    border-width: 0 3px 3px 0;
  }

  .register .btns {
    margin-top: 3.5rem;
  }

  .register .btns>a {
    width: 13rem;
    font-size: 2.8rem;
    margin-left: 0;
    padding-left: 0;
    letter-spacing: 1.5rem;
    text-indent: 1.5rem;
  }

}


@media (max-width: 640px) {
  .register .general {
    padding-top: 2.5rem;
  }

  .register .general-content {
    margin-top: 2rem;
  }

  .register .msg::after {
    width: calc(100% - -0rem);
  }

  .register form {
    padding: 0 3%;
  }

  .register .input_wrap {
    max-width: 53.5rem;
    margin-left: 5.5rem;
    margin-right: 3rem;
  }

  .register .input_wrap span {
    font-size: 2.55rem;
  }


  .register .input_wrap input {
    width: 79%;
    font-size: 2.5rem;
    font-weight: 400;
  }

  .register .input_wrap input::placeholder {
    font-size: 2.5rem;
  }

  .register .agree {
    font-size: 1.5rem;
  }

  .register .agree .text {
    margin-top: -0.1rem;
  }


  .register .agree .agree-checkbox {
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 0;
  }

  .register .agree .agree-checkbox:checked {
    background-color: #FFF;
  }

  .register input[type="checkbox"]:checked::after {
    content: '';
    position: absolute;
    left: 0.5rem;
    top: -0.3rem;
    width: 0.5rem;
    height: 1.2rem;
    border: solid #de0000;
    border-width: 0 2.7px 2.7px 0;
  }

}